
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

/* EVEN PALETTE */
$md-evensecondarypalette: (
    50 : #ffffff,
    100 : #fafafa,
    200 : #f5f5f5,
    300 : #f0f0f0,
    400 : #dedede,
    500 : #c2c2c2,
    600 : #979797,
    700 : #818181,
    800 : #606060,
    900 : #3c3c3c,
    A100 : #f8f8f8,
    A200 : #f3f3f3,
    A400 : #d0d0d0,
    A700 : #717171,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #ffffff,
    )
);

$md-evenprimarypalette: (
    50 : #e0f3ed,
    100 : #b5e2d2,
    200 : #85d0b5,
    300 : #56bd98,
    400 : #33ae84,
    500 : #179f71,
    600 : #139165,
    700 : #0c8157,
    800 : #007149,
    900 : #00552f,
    A100 : #9dd9c4,
    A200 : #6ec7a7,
    A400 : #25a77b,
    A700 : #067950,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$even-frontend-primary: mat-palette($md-evenprimarypalette);
$even-frontend-accent: mat-palette($md-evensecondarypalette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$even-frontend-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$even-frontend-theme: mat-light-theme((
  color: (
    primary: $even-frontend-primary,
    accent: $even-frontend-accent,
    warn: $even-frontend-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($even-frontend-theme);


html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
